package com.fr.plugin.web;

import com.fr.decision.fun.impl.AbstractWebResourceProvider;
import com.fr.decision.web.MainComponent;
import com.fr.decision.web.LoginComponent;
import com.fr.web.struct.Atom;

public class TOPPRNav1WebResourceProvider extends AbstractWebResourceProvider {

    /**
     * 需要附加到的主组件
     *
     * @return 主组件
     */

    @Override
    public Atom attach() {
        return MainComponent.KEY;
    }

    /**
     * 客户端所需的组件
     *
     * @return 组件
     */
    @Override
    public Atom client() {
        return RNavComponent.KEY;
    }
}
